/**
 * Google 登录请求
 * 
 */
import { z } from "zod";

export const GoogleLoginRequestSchema = z.object({
  idToken: z.string(),
  platform: z.string(),
  guestId: z.string().default(""),
  isTestAccount: z.boolean().default(false),
});

export type GoogleLoginRequestInput = z.input<typeof GoogleLoginRequestSchema>;
export type GoogleLoginRequestData = z.output<typeof GoogleLoginRequestSchema>;
